How to install Faraday Community Edition on BackBox Linux 3

faraday

Tested on:

Faraday Community Edition

BackBox Linux 3.x x86_64

1) Download Faraday

claudio@backbox3:~$ wget https://github.com/infobyte/faraday/archive/master.zip

2) Install requirements

claudio@backbox3:~$ sudo pip install psycopg2
Downloading/unpacking psycopg2
  Running setup.py egg_info for package psycopg2
    
Installing collected packages: psycopg2
  Running setup.py install for psycopg2
    
Successfully installed psycopg2
Cleaning up...
claudio@backbox3:~$

3) Modify installation script

claudio@backbox3:~$ unzip master.zip
claudio@backbox3:~$ cd faraday-master/
claudio@backbox3:~/faraday-master$ ls
apis  AUTHORS  config       data            deps  exporters  faraday.py            gui          install.sh  model        plugins    
RELEASE.md        scripts  test_cases  utils  zsh auth  bin      controllers  default.keytab  doc   external   
faraday-terminal.zsh  __init__.py  managers    persistence  README.md  requirements.txt  shell    updates     views

Edit file “install.sh” from:

if [ "$os" = "Ubuntu 10.04.2 LTS" ]; then
    version="ubuntu10-04.02$arch"
elif [[ "$os" =~ .*Kali.* ]]; then
    version="kali-$arch"
    down=1
elif [ "$os" = "Ubuntu 12.04.3 LTS" ]; then
    version="ubuntu12-$arch"
elif [ "$os" = "Ubuntu 13.10" ]; then
    version="ubuntu13-10-$arch"
    down=1
elif [ "$os" = "Ubuntu 13.04" ]; then
    version="ubuntu13-04-$arch"
    down=1
else
    echo "[-] Could not find a install for $os ($arch $kernel)"
    exit
fi

to:

echo "[+] Install $os $arch"
down=0
if [ "$os" = "Ubuntu 10.04.2 LTS" ]; then
    version="ubuntu10-04.02$arch"
elif [[ "$os" =~ .*Kali.* ]]; then
    version="kali-$arch"
    down=1
elif [ "$os" = "Ubuntu 12.04.3 LTS" ]; then
    version="ubuntu12-$arch"
elif [ "$os" = "Ubuntu 12.04.5 LTS" ]; then
    version="ubuntu12-$arch"
elif [ "$os" = "Ubuntu 13.10" ]; then
    version="ubuntu13-10-$arch"
    down=1
elif [ "$os" = "Ubuntu 13.04" ]; then
    version="ubuntu13-04-$arch"
    down=1
else
    echo "[-] Could not find a install for $os ($arch $kernel)"
    exit
fi

4) Run Setup

claudio@backbox3:~/faraday-master$ sudo ./install.sh

[+] Install Ubuntu 12.04.5 LTS x86_64
Reading package lists... Done
Building dependency tree       
Reading state information... Done
python-qt3 is already the newest version.
The following packages were automatically installed and are no longer required:
  libboost-date-time1.46.1 liborcus-0.6-0 libcmis-0.3-3
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
....
....
.....
You can now run Faraday, enjoy!